'use strict';

var vue = require('vue');
var vtableVueAttributePlugin = require('../components/custom/vtable-vue-attribute-plugin.js');

function useCellRender(props, tableRef) {
    vue.watchEffect(() => {
        var _a;
        if (!((_a = props === null || props === void 0 ? void 0 : props.customConfig) === null || _a === void 0 ? void 0 : _a.createReactContainer)) {
            return;
        }
        if (!tableRef.value) {
            return;
        }
        tableRef.value.scenegraph.stage.pluginService.register(new vtableVueAttributePlugin.VTableVueAttributePlugin());
    });
}

exports.useCellRender = useCellRender;
